Debian Bug report logs - #677960
live-tools: Installation Error: dpkg: Fehler beim Bearbeiten von live-tools_3.0.1-1_all.deb

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: matsche <thematsche@gmail.com>

Date: Mon, 18 Jun 2012 08:36:01 UTC

Severity: normal

Found in version live-tools/3.0.0-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#677960; Package live-tools. (Mon, 18 Jun 2012 08:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to matsche <thematsche@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 18 Jun 2012 08:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: matsche <thematsche@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-tools: Installation Error: dpkg: Fehler beim Bearbeiten von live-tools_3.0.1-1_all.deb
Date: Mon, 18 Jun 2012 10:24:07 +0200
Package: live-tools
Version: 3.0.0-1
Severity: normal

Dear Maintainer,

   * What led up to the situation?
	Upgrading live-tools.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
	apt-get upgrade

   * What was the outcome of this action?
	Vorbereitung zum Ersetzen von live-tools 3.0.0-1 (durch .../live-tools_3.0.1-1_all.deb) ...
dpkg-divert: Fehler: »Umleitung von /usr/bin/uptime zu /usr/bin/uptime.procps durch live-tools« kollidiert mit »Umleitung von /usr/bin/uptime zu /usr/bin/uptime.procps durch linux-container«
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/live-tools_3.0.1-1_all.deb (--unpack):
 Unterprozess neues pre-installation-Skript gab den Fehlerwert 2 zurück
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/live-tools_3.0.1-1_all.deb

   * What outcome did you expect instead?
	No Error.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

live-tools depends on no packages.

live-tools recommends no packages.

Versions of packages live-tools suggests:
ii  debian-installer-launcher  12
ii  perl                       5.14.2-11
ii  rsync                      3.0.9-1

-- no debconf information




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Thu, 21 Jun 2012 19:03:07 GMT) Full text and rfc822 format available.

Notification sent to matsche <thematsche@gmail.com>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 19:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 677960-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: matsche <thematsche@gmail.com>, 677960-done@bugs.debian.org
Subject: Re: Bug#677960: live-tools: Installation Error: dpkg: Fehler beim Bearbeiten von live-tools_3.0.1-1_all.deb
Date: Thu, 21 Jun 2012 21:01:08 +0200
first of all, never ever do report bugs with localized messages in it,
not every one understands german. use LC_ALL=C within your enviroment to
temporarily avoid localization.

On 06/18/2012 10:24 AM, matsche wrote:
>    * What was the outcome of this action?

the problem you're describing only happens if a system had installed a
faulty linux-container 1-* that didn't remove the divertion on removal,
which is not really possible/worthwhile to fix at this point - it
doesn't occur with live-tools which is why i'm closing this hereby.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#677960; Package live-tools. (Wed, 27 Jun 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Jun 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 677960@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 677960@bugs.debian.org
Subject: I had the same problem, can you share/tell me the workaround for it ?
Date: Wed, 27 Jun 2012 21:39:27 +0530
Dear Daniel,
I saw your response but didn't get your workaround. I had the same
issue while upgrading today.

$ sudo aptitude install live-tools
The following packages will be upgraded:
  live-tools
1 packages upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/7,550 B of archives. After unpacking 0 B will be used.
Do you want to continue? [Y/n/?] Y
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
(Reading database ... 487010 files and directories currently installed.)
Preparing to replace live-tools 3.0.1-1 (using
.../live-tools_3.0.2-1_all.deb) ...
D000001: process_archive oldversionstatus=installed
ln: failed to create symbolic link `/usr/bin/uptime': File exists
dpkg: error processing
/var/cache/apt/archives/live-tools_3.0.2-1_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 /var/cache/apt/archives/live-tools_3.0.2-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:

I tried figuring out which package owns this uptime binary and came up
with this :-

$ dpkg -S /usr/bin/uptime
diversion by live-tools from: /usr/bin/uptime
diversion by live-tools to: /usr/bin/uptime.procps
procps: /usr/bin/uptime

Thinking it is perhaps some issue with procps did this :-

$ sudo aptitude reinstall procps
The following packages will be REINSTALLED:
  procps
0 packages upgraded, 0 newly installed, 1 reinstalled, 0 to remove and
4 not upgraded.
Need to get 0 B/252 kB of archives. After unpacking 0 B will be used.
(Reading database ... 487010 files and directories currently installed.)
Preparing to replace procps 1:3.3.3-2 (using
.../procps_1%3a3.3.3-2_amd64.deb) ...
D000001: process_archive oldversionstatus=installed
Unpacking replacement procps ...
D000001: process_archive updating info directory
D000001: generating infodb hashfile
Processing triggers for readahead-fedora ...
Processing triggers for man-db ...
Processing triggers for menu ...
Setting up procps (1:3.3.3-2) ...
D000001: deferred_configure updating conffiles
D000001: cmpversions a=`1:3.3.3-2' b=`1:3.2.7-3' r=1
update-alternatives: warning: forcing reinstallation of alternative
/usr/bin/uptime.procps because link group uptime is broken.
update-alternatives: warning: skip creation of
/usr/share/man/man1/uptime.1.gz because associated file
/usr/share/man/man1/uptime.procps.1.gz (of link group uptime) doesn't
exist.
update-alternatives: warning: not removing
/usr/share/man/man1/uptime.1.gz since it's not a symlink.
insserv: script pulseaudio.original: service pulseaudio already provided!
insserv: script pulseaudio.original: service esound already provided!
[ ok ] Setting kernel variables ... /etc/sysctl.conf...
/etc/sysctl.d/30-tracker.conf...done.
Processing triggers for menu ...

I finally fixed it by purging the old live-tools package and then
installing the new one.

$ sudo aptitude purge live-tools
The following packages will be REMOVED:
  live-tools{p}
0 packages upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
Need to get 0 B of archives. After unpacking 72.7 kB will be freed.
Do you want to continue? [Y/n/?] Y
D000001: deferred_remove package live-tools:all
D000001: checking dependencies for remove 'live-tools:all'
(Reading database ... 487009 files and directories currently installed.)
Removing live-tools ...
D000001: removal_bulk package live-tools:all
D000001: removal_bulk cleaning info directory
D000001: removal_bulk purging? foundpostrm=1
Purging configuration files for live-tools ...
D000001: removal_bulk purge done, removing list
'/var/lib/dpkg/info/live-tools.list'
D000001: removal_bulk purge done, removing postrm
'/var/lib/dpkg/info/live-tools.postrm'
D000001: removal done
Processing triggers for man-db ...

$ sudo aptitude install live-tools
The following NEW packages will be installed:
  live-tools
0 packages upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/7,550 B of archives. After unpacking 72.7 kB will be used.
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Selecting previously unselected package live-tools.
(Reading database ... 486993 files and directories currently installed.)
Unpacking live-tools (from .../live-tools_3.0.2-1_all.deb) ...
D000001: process_archive oldversionstatus=not installed
D000001: process_archive updating info directory
D000001: generating infodb hashfile
Processing triggers for man-db ...
Setting up live-tools (3.0.2-1) ...
D000001: deferred_configure updating conffiles

$

As can be seen it doesn't complain now.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:34:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:57:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.